Bug 164079 - eclipse-cdt aot-compiled code not compiled with -fjni
eclipse-cdt aot-compiled code not compiled with -fjni
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
Depends On: 163969
  Show dependency treegraph
Reported: 2005-07-24 07:25 EDT by Robin Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-21 16:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-07-24 07:25:16 EDT
Description of problem:
eclipse-cdt is not compiled with -fjni, so
/usr/lib/gcj/eclipse-cdt/cdtcore.jar.so fails to link at runtime (which
incidentally makes gdb literally unusable) and interpreted code is used instead.

This is the same as bug 163969 except that it applies to eclipse-cdt.

Version-Release number of selected component (if applicable):
Comment 1 Andrew Overholt 2005-07-27 00:27:06 EDT
Let's make this depend on bug 163969.
Comment 2 Andrew Overholt 2005-10-21 16:24:04 EDT
I've also released an updated j-g-c for FC4 that uses -fjni.  When I get CDT
3.0.0 into FC4, it'll pick that up.  Closing.

Note You need to log in before you can comment on or make changes to this bug.